=== debian/changelog ===
ngcp-rtpengine (8.3.0.0+3) bionic; urgency=medium

  * Fixed build dependencies

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 10:57:47 +0000

ngcp-rtpengine (8.3.0.0+2) bionic; urgency=medium

  * Remove dependency on recent libav codecs

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 09:44:27 +0000

ngcp-rtpengine (8.3.0.0+1) bionic; urgency=medium

  * Remove incompatible installation parameter

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 08:18:37 +0000

ngcp-rtpengine (8.3.0.0+0~mr8.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [d1e3dc0] byte-swap homer ID as required
  * [64e56d7] TT#73401 handle changes in RTP payload types
  * [1c72636] TT#73401 remove useless assertion
  * [9e05578] wrap-and-sort -ast
  * [6d22af9] TT#73900 ignore stray RTCP packets when confirming peer addresses
  * [f23aa26] TT#74050 add support for `unidirectional` flag to test script
  * [2a2e3f3] TT#74050 handle sinks with null addresses correctly
  * [5ac0756] TT#74300 run indent over cli_incoming_list_callid
  * [c3f5282] TT#74300 adapt CLI output to match log output for call stats
  * [08cdb4c] TT#74300 split intro for call-id CLI output

  [ Sebastian Damm ]
  * [8d7a77d] debian/control: add libconfig-tiny-perl dependency

  [ Daniel-Constantin Mierla ]
  * [5b0bee7] use pkg-config to detect xtables library for iptables-extension

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:25:42 +0100

ngcp-rtpengine (8.2.0.0+0~mr8.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [7fbaf0a] TT#61954 Set debhelper compat level also for ngcp-rtpengine-kernel-source package

  [ Richard Fuchs ]
  * [228d822] TT#68100 set iLBC encoder and decoder options
  * [ab77ed5] TT#64601 refuse overriding crypto params from SDES when DTLS is in use
  * [77087b9] don't try to save untagged streams to db
  * [8bdeb2d] TT#69701 fix incorrect address used for raddr/rport
  * [7a28b97] TT#69700 don't compensate for TS gaps with a 1-second delay
  * [8714914] TT#69700 reduce max allowed delay to half a second
  * [1ec8276] TT#69700 handle gaps in RTP TS correctly for mix output
  * [e0dd674] TT#71050 fix branch deletion from via-branch
  * [bc3d4f7] compile fix for glib versions < 2.30

  [ Guillem Jover ]
  * [7b77fb6] TT#51701 Switch from deprecated /var/run to /run

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:59:03 +0100

ngcp-rtpengine (8.1.0.0+0~mr8.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [3fb5bef] TT#64301 log xmlrpc children to stderr
  * [25c84bb] TT#65000 fix kernel module compilation for 5.2 kernels
  * [ef20e02] TT#64259 split up codec handlers function
  * [fd16bf5] TT#64259 make DTMF detection switch explicit
  * [35740cd] TT#64259 add function to inject DTMF events
  * [68d909c] TT#64259 add functions to skip decoded samples and return encoder PTS
  * [49f6a88] TT#64259 add function to convert DTMF codes and chars
  * [b14f3b2] TT#64259 support injecting DTMF tones and events
  * [8ffc13d] TT#65100 properly cleanup redis async context
  * [bfc9799] TT#65100 don't start a redis notification context/thread when not in use
  * [3466700] TT#65800 fix SDES negotiation bug
  * [a6b4137] fix test suites for different implementations of base64 encoding
  * [22ea251] don't skip address family selection when zero port is present
  * [7b60ca8] ignore untagged/wildcard/unknown MLs in delete with via-branch
  * [65fb99b] TT#66650 fix some SSRC refcount leaks
  * [068bdb2] TT#65052 support adding pause after DTMF PCM
  * [3bf3982] TT#65052 support queuing up multiple DTMF events
  * [4d99ba8] add missing header
  * [6431cde] TT#64601 fix some compiler warnings

  [ Guillem Jover ]
  * [781b275] TT#65100 Fix double free for redis context on closure

  [ spchan ]
  * [290afbb] RPM packaging: detect systemd directories and package unit files
  * [c147556] EL8: mariadb-devel conflicts with mysql-devel
  * [487004f] EL7,8: no such package iptables-ipv6

  [ Denys ]
  * [3905a31] Update rtpengine.spec

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:12:35 +0200

ngcp-rtpengine (8.0.0.0+0~mr8.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [3845a43] change localhost to 127.0.0.1 to avoid resolv problems
  * [290477d] fix unit test after 8fb603e5
  * [2397723] TT#61050 detect to-tag changes via via-branch
  * [79fb320] add missing header include
  * [3b6f098] TT#61850 normalize `address:port` log printing
  * [a2e0dd6] TT#62300 kernelise stream even if address doesn't match if possible
  * [10bd041] refuse startup when spool-dir and output-dir are the same
  * [24d67d0] fix mem allocation bug resulting in mem corruption during redis restore
  * [1653f32] don't free redis event base while being used
  * [c8338a4] TT#64050 add `G729a` as an incorrect alternative to `G729`
  * [344b3b9] TT#64300 don't attempt to transcode to an unsupported codec

  [ Huseyin Dikme ]
  * [a4af447] add missing errno include

  [ Razvan Crainea ]
  * [8fb603e] dtmf: prevent freeing json buf too early

  [ Guillem Jover ]
  * [fea0206] TT#61954 Update copyright years
  * [55faffd] TT#61954 Do not pass --no-enable and --no-start to sysvinit and systemd helpers
  * [2868fc6] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat

  [ Alex Balashov ]
  * [0a1c20a] README: Added call recording section and cautionary note about using same directory for spool dir and output / recording dir
  * [9e79a12] Updated README with link to issue #81.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 21:00:14 +0200

ngcp-rtpengine (7.5.0.0+0~mr7.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [a4cca5f] fix compilation for glib >= 2.60
  * [77e31f1] fix race condition after media player shutdown
  * [985cd44] fix possible segfault after failed port alloc w/ iptables option

